# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-ipc

Name:           rust-%{crate}
Version:        0.28.0
Release:        %autorelease
Summary:        Interprocess communication infrastructure for Sequoia

# Upstream license specification: LGPL-2.0-or-later
License:        LGPLv2+
URL:            https://crates.io/crates/sequoia-ipc
Source:         %{crates_source}
# Initial patched metadata
# * drop Windows-specific dependencies
# * bump capnp-rpc dependency from 0.13 to 0.14
Patch0:         sequoia-ipc-fix-metadata.diff

# * patch to fix doctests with Rust 1.62+:
#   https://gitlab.com/sequoia-pgp/sequoia/-/merge_requests/1334
Patch1:         0001-ignore-doctests-for-non-exported-macro_rules-macros.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Interprocess communication infrastructure for Sequoia.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-devel %{_description}

This package contains library source intended for building other packages which
use the "compression" feature of the "%{crate}" crate.

%files       -n %{name}+compression-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-bzip2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-bzip2-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-bzip2" feature of the "%{crate}" crate.

%files       -n %{name}+compression-bzip2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compression-deflate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compression-deflate-devel %{_description}

This package contains library source intended for building other packages which
use the "compression-deflate" feature of the "%{crate}" crate.

%files       -n %{name}+compression-deflate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crypto-nettle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crypto-nettle-devel %{_description}

This package contains library source intended for building other packages which
use the "crypto-nettle" feature of the "%{crate}" crate.

%files       -n %{name}+crypto-nettle-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch s390x
# skip a test that implicitly relies on Little-Endian byte order
%cargo_test -- -- --skip read_port_and_nonce
%else
%cargo_test
%endif
%endif

%changelog
%autochangelog
